package com.qmth.distributed.print.api;


import com.qmth.boot.api.annotation.Aac;
import com.qmth.boot.api.annotation.BOOL;
import com.qmth.boot.api.constant.ApiConstant;
import com.qmth.distributed.print.business.bean.ApiUser;
import com.qmth.distributed.print.business.entity.BasicAttachment;
import com.qmth.distributed.print.business.service.BasicAttachmentService;
import com.qmth.distributed.print.business.util.RequestUtils;
import com.qmth.distributed.print.common.util.Result;
import com.qmth.distributed.print.common.util.ResultUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;

/**
 * <p>
 * 所有附件记录表 前端控制器
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
@Api(tags = "文件上传Controller")
@RestController
@RequestMapping(ApiConstant.DEFAULT_URI_PREFIX + "/${prefix.url.common}/file")
@Aac(auth = BOOL.FALSE)
public class BasicAttachmentController {

    @Autowired
    private BasicAttachmentService basicAttachmentService;

    /**
     * 文件上传
     * @param request
     * @param file
     * @param md5
     * @return
     */
    @ApiOperation(value = "文件上传")
    @RequestMapping(value = "/upload1", method = RequestMethod.POST)
    public Result upload(HttpServletRequest request, MultipartFile file, String md5) {
        ApiUser apiUser = RequestUtils.getApiUser(request);
        BasicAttachment attachment = basicAttachmentService.save(file, md5, apiUser.getSchoolId(), apiUser.getUserData().getId());
        return ResultUtil.ok(attachment);
    }

    /**
     * 文件查询
     * @return
     */
    @ApiOperation(value = "文件查询")
    @RequestMapping(value = "/get_one", method = RequestMethod.POST)
    public Result getOne(@RequestParam(required = true) Long id) {
        BasicAttachment attachment = basicAttachmentService.getById(id);
        return ResultUtil.ok(attachment);
    }
}

