package com.qmth.distributed.print.start;

import com.qmth.distributed.print.business.service.OrgCenterDataDisposeService;
import com.qmth.distributed.print.common.contant.SystemConstant;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.CommandLineRunner;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * @Description: 服务启动时初始化运行，哪个微服务模块需要则拿此模版去用
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/3
 */
@Component
public class StartRunning implements CommandLineRunner {
    private final static Logger log = LoggerFactory.getLogger(StartRunning.class);

//    @Resource
//    QuartzService quartzService;

    @Resource
    private OrgCenterDataDisposeService orgCenterDataDisposeService;

    @Override
    public void run(String... args) throws Exception {
        log.info("服务器启动时执行 start");
        SystemConstant.initTempFiles();
        orgCenterDataDisposeService.updateSchoolInfo();

//        log.info("增加test job start");
//        Map testJobMap = new HashMap();
//        testJobMap.computeIfAbsent("name", v -> TestJob.class.getName());
//        quartzService.deleteJob(JobEnum.TEST_JOB.name(), JobEnum.TEST_JOB_GROUP.name());
//        quartzService.addJob(TestJob.class, JobEnum.TEST_JOB.name(), JobEnum.TEST_JOB_GROUP.name(), "0/10 * * * * ?", testJobMap);
//        log.info("增加test job end");

        log.info("服务器启动时执行 end");
    }
}
